求助,环信即时云通讯在华为mate20报java.lang.RuntimeException的错误。

集成项目后在华为mate20(Android 9.0)所有网络请求都会报错,在低于9.0的设备能正常使用。SDK版本为
hyphenate-sdk-lite:3.5.2
错误如下:
W: java.lang.RuntimeException: Stub!
W: at org.apache.http.params.AbstractHttpParams.<init>(AbstractHttpParams.java:37)
W: at org.apache.http.params.BasicHttpParams.<init>(BasicHttpParams.java:38)
W: at com.hyphenate.cloud.HttpClientConfig.getDefaultHttpClient(Unknown Source:2)
W: at com.hyphenate.cloud.HttpClientConfig.getDefaultHttpClient(Unknown Source:171)
W: at com.hyphenate.chat.adapter.EMARHttpAPI._httpExecute(Unknown Source:4)
W: at com.hyphenate.chat.adapter.EMARHttpAPI.httpExecute(Unknown Source:2)
W: at com.hyphenate.chat.adapter.EMAContactManager.nativeGetContactsFromServer(Native Method)
W: at com.hyphenate.chat.adapter.EMAContactManager.getContactsFromServer(Unknown Source:0)
W: at com.hyphenate.chat.EMContactManager.getAllContactsFromServer(Unknown Source:7)
已邀请:

headchen - 老程序员

赞同来自:

问题解决了吗?

lizg - 好久没有登陆了,回来了...

赞同来自:

  您好,目前3.5.3版本的sdk已经适配了android9.0的系统,建议您把sdk升级到3.5.3版本。按照sdk的升级文档在清单文件中配置下
<application> <uses-library android:name="org.apache.http.legacy" android:required="false"/> </application>
 以下是升级文档
 升级文档

要回复问题请先登录注册

知识价值的认可,源自您的赞赏

扫描二维码,你的支付将由imGeek代收后转给对方

×